### Method

# Notify Notification set_app_icon

since: 0.8.4

#### Declaration [src]

    void
    notify_notification_set_app_icon (
      NotifyNotification* notification,
      const char* app_icon
    )

#### Description [src]

Sets the application icon for the notification.

If this function is not called or if `app_icon` is `NULL`, the application icon will be set from the value set via `notify_set_app_icon()`.

Available since: 0.8.4

Sets property | `Notify.Notification:app-icon`

#### Parameters

`app_icon`

  Type: `const char*`

  The optional icon theme icon name or filename.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.